/* header file for EXT_fog_coord */

#ifndef APIENTRY
#define WIN32_LEAN_AND_MEAN 1
#include <windows.h>
#endif

#define GL_EXT_fog_coord 1

#define GL_FOG_COORDINATE_SOURCE_EXT			0x8450
#define GL_FOG_COORDINATE_EXT					0x8451
#define GL_FRAGMENT_DEPTH_EXT					0x8452
#define GL_CURRENT_FOG_COORDINATE_EXT			0x8453
#define GL_FOG_COORDINATE_ARRAY_TYPE_EXT		0x8454
#define GL_FOG_COORDINATE_ARRAY_STRIDE_EXT		0x8455
#define GL_FOG_COORDINATE_ARRAY_POINTER_EXT		0x8456
#define GL_FOG_COORDINATE_ARRAY_EXT				0x8457

typedef void (APIENTRY * PFNGLMULTITEXCOORD1DARBPROC) (GLenum target, GLdouble s);
typedef void (APIENTRY * PFNGLFOGCOORDFEXTPROC) (GLfloat coord);
typedef void (APIENTRY * PFNGLFOGCOORDDEXTPROC) (GLdouble coord);
typedef void (APIENTRY * PFNGLFOGCOORDFVEXTPROC) (const GLfloat* coord);
typedef void (APIENTRY * PFNGLFOGCOORDDVEXTPROC) (const GLdouble* coord);
typedef void (APIENTRY * PFNGLFOGCOORDPOINTEREXTPROC) (GLenum type, GLsizei stride, GLvoid *pointer);
